﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Web.Mvc;
using Daylight_savings.Models;

namespace Daylight_savings.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            IQueryable<Person> pl = GetPersonData();
            return View(pl);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        [GridDataSourceAction]
        public ActionResult GetData()
        {
            return View(GetPersonData());
        }

        private IQueryable<Person> GetPersonData()
        {
            List<Person> personList = new List<Person>();
            personList.Add(new Person() { Id = 1, Name = "Foo", Date = new DateTime(2017, 04, 05, 10, 10, 10, DateTimeKind.Unspecified) });
            personList.Add(new Person() { Id = 2, Name = "Bar", Date = new DateTime(2017, 03, 30, 10, 10, 10, DateTimeKind.Unspecified) });
            personList.Add(new Person() { Id = 3, Name = "Bas", Date = new DateTime(2017, 03, 20, 10, 10, 10, DateTimeKind.Unspecified) });
            personList.Add(new Person() { Id = 4, Name = "Bas", Date = new DateTime(2017, 03, 13, 10, 10, 10, DateTimeKind.Unspecified) });
            personList.Add(new Person() { Id = 5, Name = "Bas", Date = new DateTime(2017, 03, 11, 10, 10, 10, DateTimeKind.Unspecified) });
            personList.Add(new Person() { Id = 6, Name = "Bas", Date = new DateTime(2016, 12, 30, 10, 45, 11, DateTimeKind.Unspecified) });
            return personList.AsQueryable<Person>();
        }
    }
}